Name:		redisearch
Version:	2.10.7
Release:	1%{?dist}
Summary:	Full-text search over Redis


License:	RSALv2
URL:		https://redis.com/legal/rsalv2-agreement/
Source0:        RediSearch-%{version}.tgz

# The tar source tarball prepration
# git clone -b "v2.6.5" --recursive https://github.com/RediSearch/RediSearch.git RediSearch-2.6.5
# sed -i 's/^set(CMAKE_CXX_FLAGS .*$//g' RediSearch-2.6.5/deps/VectorSimilarity/src/VecSim/spaces/CMakeLists.txt
# cd RediSearch-2.6.5 && rm -rf  .git ./*/.git && cd ..
# tar -vczf RediSearch-2.6.5.tgz RediSearch-2.6.5

# REDISEARCH_RELEASE="2.8.4"
# git clone -b "v${REDISEARCH_RELEASE}" --recursive https://github.com/RediSearch/RediSearch.git RediSearch-${REDISEARCH_RELEASE}
# rm -rf RediSearch-${REDISEARCH_RELEASE}/.git RediSearch-${REDISEARCH_RELEASE}/deps/*/.git
# tar -vczf RediSearch-${REDISEARCH_RELEASE}.tgz RediSearch-${REDISEARCH_RELEASE}

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  glibc-static 
BuildRequires:  libstdc++-static
BuildRequires:  cmake
BuildRequires:	python3
BuildRequires:  python3-pip
BuildRequires:  ca-certificates
BuildRequires:  curl
BuildRequires:  wget
BuildRequires:  unzip
BuildRequires:  git
BuildRequires:  gawk
BuildRequires:  jq
BuildRequires:  openssl
BuildRequires:  rsync
BuildRequires:  unzip
BuildRequires:  patch
BuildRequires:  psmisc
BuildRequires:  libatomic
BuildRequires:  openssl-devel
BuildRequires:  python3-numpy
BuildRequires:  python3-scipy
BuildRequires:  boost-devel
# BuildRequires:	python3-rmtest >= 1
BuildRequires:  redis

Requires:	redis

%define redis_modules_dir /usr/lib64/redis/modules/
%global debug_package %{nil}

%description
RediSearch implements a search engine on top of Redis, providing
three main features - full text search, secondary indexing and a
suggestion (auto-completion) engine.

It provides advanced search features like exact phrase matching
and numeric filtering for text queries, that are not possible or
efficient with traditional Redis search approaches.

%prep
%setup -n RediSearch-%{version} -q

%build
%set_build_flags
export CXXFLAGS=${CXXFLAGS// -Wall/}
export CXXFLAGS=${CXXFLAGS// -Wformat-security/}
export CXXFLAGS=${CXXFLAGS// -Werror=format-security/}
sed -i 's/-Wall//g' ./deps/VectorSimilarity/src/VecSim/CMakeLists.txt
export BRANCH=%{version}
pip install --user conan
%make_build LD="gcc"

#%check
#make test
#make PYTHON="python3" test

%install
mkdir -p %{buildroot}%{redis_modules_dir}
echo 'Main arch detected %{_arch}' 
%if "%{_arch}" == "aarch64"
install -pDm755 bin/linux-arm64v8-release/search/%{name}.so %{buildroot}%{redis_modules_dir}/%{name}.so
%else
install -pDm755 bin/linux-x64-release/search/%{name}.so %{buildroot}%{redis_modules_dir}/%{name}.so
%endif

%files
%license LICENSE.txt
%doc README.md docs/*
%{redis_modules_dir}/%{name}.so

%changelog
* Sun Dec 25 2022 Kefah Issa <kefah.issa@gmail.com> - 2.6.2-1
- Initial package.
